### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-breadcrumb/common/ecl-breadcrumb.component.ts`

### Implements

`AfterViewInit`

### Metadata

template |
    <div></div>

### Index

###### Properties
eclBreadcrumbContainerEl eclEllipsisSegment Abstract eclSegments
###### Methods
onEllipsisSegmentClick
###### Inputs
styleClass

### Inputs

styleClass
Type : `string`

### Methods

onEllipsisSegmentClick
`onEllipsisSegmentClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

### Properties

eclBreadcrumbContainerEl
Type : `ElementRef`
Decorators : `@ViewChild('breadcrumbContainer')`

eclEllipsisSegment
Type : `EclBreadcrumbSegmentComponent`
Decorators : `@ViewChild('ellipsisSegment')`

Abstract eclSegments
Type : `QueryList<EclBreadcrumbSegmentComponent>`

# result-matching ""

# No results matching ""